Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Public Attributes | Friends
RescuerProp Class Reference
All Object Properties
Inheritance diagram for RescuerProp:

## Public Member Functions
| RescuerProp (const std::string &n)
| constructor
| ~RescuerProp ()
| destructor
virtual Hand * | newHand (HandMonitor *h) const
| return a Hand with this property
void | clear ()
| set default values
void | read (Glossary &)
| set from a Glossary
void | complete (SimulProp const *, PropertyList *)
| compute values derived from the parameters
Property * | clone () const
| return a carbon copy of object
void | write_data (std::ostream &) const
| write all values
Public Member Functions inherited from HandProp
| HandProp (const std::string &n)
| constructor
| ~HandProp ()
| destructor
std::string | kind () const
| identifies the property
virtual void | checkStiffness (real stiff, real len, real mul, real kT) const
| perform more checks, knowing the elasticity More...
Public Member Functions inherited from Property
| Property (const std::string &n, const int index=-1)
| constructor must provide a name
virtual | ~Property ()
| destructor
std::string | name () const
| return identifier for instantiation
void | name (const std::string &n)
| change name
bool | is_named (const std::string &n)
| true if 'name' matches
int | index () const
| index, unique among all Property of similar kind()
void | index (int x)
| set index in the array of Properties
bool | modified () const
| true if at least one value is different than its default setting
void | readString (std::string &, char stamp)
| set from a string, return number of values assigned More...
void | readFile (const char file[])
| set from a string, return number of values assigned
void | write_diff (std::ostream &, const Property *ref) const
| write only values that differ from the ones specified in ref
void | write_diff (std::ostream &, bool prune) const
| if ( prune == true ), write values that differ from the default values
void | write (std::ostream &, bool prune=false) const
| write header + data More...

## Public Attributes
real | rescue_prob
| rate of rescuing a Fiber More...
Public Attributes inherited from HandProp
real | binding_rate
| binding rate when the Hand is within binding_range (also known as `binding`[0]) More...
real | binding_range
| maximum distance at which the Hand can bind (also known as `binding`[1])
unsigned int | binding_key
| can be set to restrict binding to certain type of Fiber More...
real | unbinding_rate
| detachment rate at force=0 (also known as `unbinding`[0]) More...
real | unbinding_force
| characteristic force of unbinding (also known as `unbinding`[1]) More...
bool | bind_also_end
| if true, the Hand can also bind directly to the tip of fibers More...
bool | hold_growing_end
| if false, the Hand will detach immediately upon reaching a growing or a static fiber end More...
bool | hold_shrinking_end
| if false, the Hand will detach immediately upon reaching a shrinking fiber end More...
std::string | activity
| specialization More...
std::string | display
| display parameters (see Display parameters: Points)
real | unbinding_force_inv
| inverse of unbinding_force:
real | binding_rate_dt
| binding_rate_dt = binding_rate * time_step;
real | binding_range_sqr
| binding_range_sqr = binding_range * binding_range;
real | unbinding_rate_dt
| unbinding_rate_dt = unbinding_rate * time_step;
PointDisp * | disp
| the display parameters for this category of Hand

## Friends
class | Rescuer

## Additional Inherited Members
Static Public Member Functions inherited from HandProp
static HandProp * | newProperty (const std::string &n, Glossary &)
| return one of the Property derived from HandProp
Static Public Member Functions inherited from Property
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const &c)
| formatted output of one parameter
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const *c, int cnt)
| formatted output of one parameter
template<typename C , typename D >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d)
| formatted output of one parameter
template<typename C , typename D , typename E >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e)
| formatted output of one parameter
template<typename C , typename D , typename E , typename F >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e, F const &f)
| formatted output of one parameter
Static Public Attributes inherited from HandProp
static real | binding_range_max = 0
| the maximum range (useful to set the binding grid) More...